[page:Object3D] → [page:Line] →

# [name]

This helper displays the directional cone of a [page:PositionalAudio].

## Import

[name] is an add-on, and must be imported explicitly. See [link:#manual/introduction/Installation Installation / Addons].

`import { PositionalAudioHelper } from 'three/addons/helpers/PositionalAudioHelper.js';`

## Code Example

`const positionalAudio = new THREE.PositionalAudio( listener ); positionalAudio.setDirectionalCone( 180, 230, 0.1 ); const helper = new PositionalAudioHelper( positionalAudio ); positionalAudio.add( helper );`

## Examples

[example:webaudio_orientation webaudio / orientation ]

## Constructor

### [name]( [param:PositionalAudio audio], [param:Number range] )

[page:PositionalAudio audio] -- The [page:PositionalAudio] to be visualized.
[page:Number range] -- (optional) The range of the directional cone.
[page:Number divisionsInnerAngle] -- (optional) The amount of divisions of the inner part of the directional cone.
[page:Number divisionsOuterAngle] -- (optional) The amount of divisions of the outer part of the directional cone.

## Properties

See the base [page:Object3D] class for common properties.

### [property:PositionalAudio audio]

[page:PositionalAudio] to be visualized.

### [property:Number range]

The range of the directional cone.

### [property:Number divisionsInnerAngle]

The amount of divisions of the inner part of the directional cone.

### [property:Number divisionsOuterAngle]

The amount of divisions of the outer part of the directional cone.

## Methods

See the base [page:Line] class for common methods.

### [method:undefined update]()

Updates the helper.

### [method:undefined dispose]()

Frees the GPU-related resources allocated by this instance. Call this method whenever this instance is no longer used in your app.

## Source

[link:https://github.com/mrdoob/three.js/blob/master/examples/jsm/helpers/PositionalAudioHelper.js examples/jsm/helpers/PositionalAudioHelper.js]